key_dependency_list Struct Reference

`#include <key_dependency.h>`

## Data Fields

db_object_t * | dbo
db_result_list_t * | result_list
const db_result_t * | result
key_dependency_t * | key_dependency
int | object_store
key_dependency_t ** | object_list
size_t | object_list_size
size_t | object_list_position
int | object_list_first
int | associated_fetch
zone_list_db_t * | zone_id_list
key_data_list_t * | from_key_data_id_list
key_data_list_t * | to_key_data_id_list

## Detailed Description

A list of key dependency objects.

Definition at line 201 of file key_dependency.h.

## Field Documentation

## associated_fetch

int key_dependency_list::associated_fetch

Definition at line 211 of file key_dependency.h.

Referenced by key_dependency_list_copy(), key_dependency_list_get_by_clauses(), and key_dependency_list_get_by_zone_id().

## dbo

db_object_t* key_dependency_list::dbo

Definition at line 202 of file key_dependency.h.

Referenced by key_dependency_list_begin(), key_dependency_list_free(), key_dependency_list_get_begin(), key_dependency_list_get_by_clauses(), key_dependency_list_get_by_zone_id(), key_dependency_list_get_next(), key_dependency_list_new(), key_dependency_list_new_copy(), and key_dependency_list_next().

## from_key_data_id_list

key_data_list_t* key_dependency_list::from_key_data_id_list

Definition at line 213 of file key_dependency.h.

Referenced by key_dependency_list_copy(), and key_dependency_list_free().

## key_dependency

key_dependency_t* key_dependency_list::key_dependency

Definition at line 205 of file key_dependency.h.

Referenced by key_dependency_list_begin(), key_dependency_list_free(), and key_dependency_list_next().

## object_list

key_dependency_t** key_dependency_list::object_list

Definition at line 207 of file key_dependency.h.

Referenced by key_dependency_list_begin(), key_dependency_list_copy(), key_dependency_list_free(), key_dependency_list_get_by_clauses(), key_dependency_list_get_by_zone_id(), key_dependency_list_next(), and key_dependency_list_size().

## object_list_first

int key_dependency_list::object_list_first

Definition at line 210 of file key_dependency.h.

Referenced by key_dependency_list_copy(), key_dependency_list_get_by_clauses(), key_dependency_list_get_by_zone_id(), and key_dependency_list_next().

## object_list_position

size_t key_dependency_list::object_list_position

Definition at line 209 of file key_dependency.h.

Referenced by key_dependency_list_begin(), key_dependency_list_copy(), and key_dependency_list_next().

## object_list_size

size_t key_dependency_list::object_list_size

Definition at line 208 of file key_dependency.h.

Referenced by key_dependency_list_begin(), key_dependency_list_copy(), key_dependency_list_free(), key_dependency_list_get_by_clauses(), key_dependency_list_get_by_zone_id(), key_dependency_list_next(), and key_dependency_list_size().

## object_store

int key_dependency_list::object_store

Definition at line 206 of file key_dependency.h.

Referenced by key_dependency_list_begin(), key_dependency_list_copy(), key_dependency_list_get_begin(), key_dependency_list_get_next(), key_dependency_list_next(), key_dependency_list_object_store(), and key_dependency_list_size().

## result

const db_result_t* key_dependency_list::result

Definition at line 204 of file key_dependency.h.

## result_list

db_result_list_t* key_dependency_list::result_list

Definition at line 203 of file key_dependency.h.

Referenced by key_dependency_list_begin(), key_dependency_list_copy(), key_dependency_list_free(), key_dependency_list_get_begin(), key_dependency_list_get_by_clauses(), key_dependency_list_get_by_zone_id(), key_dependency_list_get_next(), key_dependency_list_next(), and key_dependency_list_size().

## to_key_data_id_list

key_data_list_t* key_dependency_list::to_key_data_id_list

Definition at line 214 of file key_dependency.h.

Referenced by key_dependency_list_copy(), and key_dependency_list_free().

## zone_id_list

zone_list_db_t* key_dependency_list::zone_id_list

Definition at line 212 of file key_dependency.h.

Referenced by key_dependency_list_copy(), and key_dependency_list_free().

The documentation for this struct was generated from the following file:

- src/db/key_dependency.h